org.apache.hadoop.hdfs.protocol.proto

## Interface RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface

- Enclosing class:
    RouterProtocolProtos.RouterAdminProtocolService

      public static interface RouterProtocolProtos.RouterAdminProtocolService.BlockingInterface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HdfsServerFederationProtos.AddMountTableEntryResponseProto` | `addMountTableEntry(com.google.protobuf.RpcController controller, HdfsServerFederationProtos.AddMountTableEntryRequestProto request)`
    `HdfsServerFederationProtos.DisableNameserviceResponseProto` | `disableNameservice(com.google.protobuf.RpcController controller, HdfsServerFederationProtos.DisableNameserviceRequestProto request)`
    `HdfsServerFederationProtos.EnableNameserviceResponseProto` | `enableNameservice(com.google.protobuf.RpcController controller, HdfsServerFederationProtos.EnableNameserviceRequestProto request)`
    `HdfsServerFederationProtos.EnterSafeModeResponseProto` | `enterSafeMode(com.google.protobuf.RpcController controller, HdfsServerFederationProtos.EnterSafeModeRequestProto request)`
    `HdfsServerFederationProtos.GetDisabledNameservicesResponseProto` | `getDisabledNameservices(com.google.protobuf.RpcController controller, HdfsServerFederationProtos.GetDisabledNameservicesRequestProto request)`
    `HdfsServerFederationProtos.GetMountTableEntriesResponseProto` | `getMountTableEntries(com.google.protobuf.RpcController controller, HdfsServerFederationProtos.GetMountTableEntriesRequestProto request)`
    `HdfsServerFederationProtos.GetSafeModeResponseProto` | `getSafeMode(com.google.protobuf.RpcController controller, HdfsServerFederationProtos.GetSafeModeRequestProto request)`
    `HdfsServerFederationProtos.LeaveSafeModeResponseProto` | `leaveSafeMode(com.google.protobuf.RpcController controller, HdfsServerFederationProtos.LeaveSafeModeRequestProto request)`
    `HdfsServerFederationProtos.RemoveMountTableEntryResponseProto` | `removeMountTableEntry(com.google.protobuf.RpcController controller, HdfsServerFederationProtos.RemoveMountTableEntryRequestProto request)`
    `HdfsServerFederationProtos.UpdateMountTableEntryResponseProto` | `updateMountTableEntry(com.google.protobuf.RpcController controller, HdfsServerFederationProtos.UpdateMountTableEntryRequestProto request)`

- - ### Method Detail

    - #### addMountTableEntry

          HdfsServerFederationProtos.AddMountTableEntryResponseProto addMountTableEntry(com.google.protobuf.RpcController controller,
                                                                                        HdfsServerFederationProtos.AddMountTableEntryRequestProto request)
                                                                                 throws com.google.protobuf.ServiceException

      Throws:
        `com.google.protobuf.ServiceException`

    - #### updateMountTableEntry

          HdfsServerFederationProtos.UpdateMountTableEntryResponseProto updateMountTableEntry(com.google.protobuf.RpcController controller,
                                                                                              HdfsServerFederationProtos.UpdateMountTableEntryRequestProto request)
                                                                                       throws com.google.protobuf.ServiceException

      Throws:
        `com.google.protobuf.ServiceException`

    - #### removeMountTableEntry

          HdfsServerFederationProtos.RemoveMountTableEntryResponseProto removeMountTableEntry(com.google.protobuf.RpcController controller,
                                                                                              HdfsServerFederationProtos.RemoveMountTableEntryRequestProto request)
                                                                                       throws com.google.protobuf.ServiceException

      Throws:
        `com.google.protobuf.ServiceException`

    - #### getMountTableEntries

          HdfsServerFederationProtos.GetMountTableEntriesResponseProto getMountTableEntries(com.google.protobuf.RpcController controller,
                                                                                            HdfsServerFederationProtos.GetMountTableEntriesRequestProto request)
                                                                                     throws com.google.protobuf.ServiceException

      Throws:
        `com.google.protobuf.ServiceException`

    - #### enterSafeMode

          HdfsServerFederationProtos.EnterSafeModeResponseProto enterSafeMode(com.google.protobuf.RpcController controller,
                                                                              HdfsServerFederationProtos.EnterSafeModeRequestProto request)
                                                                       throws com.google.protobuf.ServiceException

      Throws:
        `com.google.protobuf.ServiceException`

    - #### leaveSafeMode

          HdfsServerFederationProtos.LeaveSafeModeResponseProto leaveSafeMode(com.google.protobuf.RpcController controller,
                                                                              HdfsServerFederationProtos.LeaveSafeModeRequestProto request)
                                                                       throws com.google.protobuf.ServiceException

      Throws:
        `com.google.protobuf.ServiceException`

    - #### getSafeMode

          HdfsServerFederationProtos.GetSafeModeResponseProto getSafeMode(com.google.protobuf.RpcController controller,
                                                                          HdfsServerFederationProtos.GetSafeModeRequestProto request)
                                                                   throws com.google.protobuf.ServiceException

      Throws:
        `com.google.protobuf.ServiceException`

    - #### disableNameservice

          HdfsServerFederationProtos.DisableNameserviceResponseProto disableNameservice(com.google.protobuf.RpcController controller,
                                                                                        HdfsServerFederationProtos.DisableNameserviceRequestProto request)
                                                                                 throws com.google.protobuf.ServiceException

      Throws:
        `com.google.protobuf.ServiceException`

    - #### enableNameservice

          HdfsServerFederationProtos.EnableNameserviceResponseProto enableNameservice(com.google.protobuf.RpcController controller,
                                                                                      HdfsServerFederationProtos.EnableNameserviceRequestProto request)
                                                                               throws com.google.protobuf.ServiceException

      Throws:
        `com.google.protobuf.ServiceException`

    - #### getDisabledNameservices

          HdfsServerFederationProtos.GetDisabledNameservicesResponseProto getDisabledNameservices(com.google.protobuf.RpcController controller,
                                                                                                  HdfsServerFederationProtos.GetDisabledNameservicesRequestProto request)
                                                                                           throws com.google.protobuf.ServiceException

      Throws:
        `com.google.protobuf.ServiceException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.